apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: mysql
  labels:
    app: mysql
    version: 8.0.19
spec:
  selector:
    matchLabels:
      app: mysql
  replicas: 1
  serviceName: mysql-svc
  template:
    metadata:
      name: mysql
      labels:
        app: mysql
    spec:
      containers:
        - name: db
          image: mysql:8.0.19
          imagePullPolicy: IfNotPresent
          resources:
              requests:
                cpu:  "500m"
                memory: "500Mi"
              limits:
                cpu:  "500m"
                memory: "1024Mi"
          ports:
            - containerPort: 3306
              protocol: TCP
              hostPort: 3306
          envFrom:
            - secretRef:
                name: mysql-secret
          livenessProbe:
              tcpSocket:
                port: 3306
              periodSeconds:  30
              initialDelaySeconds: 90
          readinessProbe:
              tcpSocket:
                port: 3306
              periodSeconds: 30
              initialDelaySeconds: 90
